Favicon

You are here: Home > API Reference > Platform > Users Notifications > Update NotificationFilter

Update NotificationFilter

Update NotificationFilter

PUT
https://api.applivery.io/v1/users/notification-filters/{notificationFilterId}
curl -X PUT "https://api.applivery.io/v1/users/notification-filters/{notificationFilterId}" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "events": {
    "buildProcessed": true,
    "feedbackCreated": true,
    "notifyPublishedApplication": true,
    "certificationExpiration": true,
    "remoteSupportNotifyAdmins": true
  }
}'
const response = await fetch("https://api.applivery.io/v1/users/notification-filters/{notificationFilterId}", {
  method: "PUT",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "events": {
      "buildProcessed": true,
      "feedbackCreated": true,
      "notifyPublishedApplication": true,
      "certificationExpiration": true,
      "remoteSupportNotifyAdmins": true
    }
  }),
});

const data = await response.json();
import requests

response = requests.put(
    "https://api.applivery.io/v1/users/notification-filters/{notificationFilterId}",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
    json={
      "events": {
        "buildProcessed": true,
        "feedbackCreated": true,
        "notifyPublishedApplication": true,
        "certificationExpiration": true,
        "remoteSupportNotifyAdmins": true
      }
    },
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

notificationFilterId string
required
Match pattern: ^[a-fA-F0-9]{24}$

Body Params application/json
events object required
buildProcessed boolean required
feedbackCreated boolean required
notifyPublishedApplication boolean required
certificationExpiration boolean required
remoteSupportNotifyAdmins boolean required
{
    "events": {
        "buildProcessed": true,
        "feedbackCreated": true,
        "notifyPublishedApplication": true,
        "certificationExpiration": true,
        "remoteSupportNotifyAdmins": true
    }
}

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
memberType string optional
user employee
memberId string optional
Match pattern: ^[a-fA-F0-9]{24}$
email string optional
≤ 256 characters · Format: email
organization string optional
Match pattern: ^[a-fA-F0-9]{24}$
application string optional
Match pattern: ^[a-fA-F0-9]{24}$
type string optional
mail
events object optional
buildProcessed boolean optional
feedbackCreated boolean optional
notifyPublishedApplication boolean optional
certificationExpiration boolean optional
remoteSupportNotifyAdmins boolean optional
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
{
    "status": true,
    "data": {
        "id": "string",
        "memberType": "user",
        "memberId": "string",
        "email": "[email protected]",
        "organization": "string",
        "application": "string",
        "type": "mail",
        "events": {
            "buildProcessed": true,
            "feedbackCreated": true,
            "notifyPublishedApplication": true,
            "certificationExpiration": true,
            "remoteSupportNotifyAdmins": true
        },
        "updatedAt": "2024-01-01T00: 00:00Z",
        "createdAt": "2024-01-01T00: 00:00Z"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}